<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderDetailSEditView9Base from './ibizorder-detail-sedit-view9-base.vue';

import view_form from '@widgets/ibizorder-detail/ui-0007-form/ui-0007-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderDetailSEditView9 extends IBIZOrderDetailSEditView9Base {

}
</script>